<?php
namespace WorkbloomERP\Constants;

class SpedCRTConst {
    public const CRT = [
        "1" => "Simples Nacional",
        "2" => "Simples Nacional - Excesso de Sublimite de Receita Bruta",
        "3" => "Regime Normal",
        "4" => "MEI - Microempreendedor Individual"
    ];

    public static function getAll(): array {
        return self::CRT;
    }

    public static function getDescription(string|int|null $code): string {
        return self::CRT[$code] ?? 'Código de regime tributário desconhecido.';
    }

    public static function exists(string|int|null $code): bool {
        return isset(self::CRT[$code]);
    }
}